deprecated

  use `Mocha.TestFunction` instead.

### Hierarchy

- ITestDefinition

### Callable

- __call(expectation: string, callback?: undefined | function): ITest

- - Defined in node_modules/@types/mocha/index.d.ts:2610
  deprecated

    `Mocha.TestFunction` does not allow mixing `done` with a return type of `PromiseLike<any>`.

  #### Parameters

  - ##### expectation: string

  - ##### Optional callback: undefined | function

  #### Returns ITest

## Index

### Methods

- only
- skip

## Methods

### only

- only(expectation: string, callback?: undefined | function): ITest

- - Defined in node_modules/@types/mocha/index.d.ts:2616
  deprecated

    `Mocha.TestFunction#only` does not allow mixing `done` with a return type of `PromiseLike<any>`.

  #### Parameters

  - ##### expectation: string

  - ##### Optional callback: undefined | function

  #### Returns ITest

### skip

- skip(expectation: string, callback?: undefined | function): void

- - Defined in node_modules/@types/mocha/index.d.ts:2619
  deprecated

    `Mocha.TestFunction#skip` does not allow mixing `done` with a return type of `PromiseLike<any>`.

  #### Parameters

  - ##### expectation: string

  - ##### Optional callback: undefined | function

  #### Returns void

Generated using TypeDoc